Subject: RE: [PWE3] [Fwd: Proposed text for SAToP congestion section]

From: "Ron Cohen" <[email-masked]>
Date: Sun, 1 Jan 2006 10:09:36 +0200

Yaakov,

I believe that what should be specified is the following:

CBR PW services MUST NOT be provisioned unless admission control considerations have been made. To be more specific, CBR PW services must be guaranteed that the packet delay variation would be within a specified limit, packet loss due to congestion and line BER must be below a certain limit, network connectivity unavailability must be low enough, etc. Otherwise there is no point in setting up the PW.

Therefore failure to provide the CBR service can be temporary, due to network failures, or (semi) permanent due to admission control failure. Admission control failure can be due to miscalculations or due to lack of policing of committed resources.

When network failure occurs, the pw needs to try and recover as quickly as possible to try and maintain the TDM service. Simply shutting down some of the PWs would make the CBR service unpredictable. The right approach is run proper automatic protection switching, and resource planning for protection failure should be in place. Turning on the services without solving the temporary resource problem would even make things worse, as randomly a different pw will shut down and come up again until the problem is solved.

If the problem is persistent, i.e. due to failure in admission control, the CBR service will not be able to deliver the service for a long while. In this case it is reasonable to shut down the service. Turning on the service must be done only after the admission control problem is solved. 
The criteria for shutting down the service should be tied to the service attributes. For example, TDM PW have the notation of severe-error-second (SES). If for a period of time all seconds are declared as SES, the service is declared unavailable. We could formulate a condition that if the service is unavailable for a specified (long) period it would be shut-down. 

It is important to point out that this automatic shut-down mechanism should never take place in deployments of CBR services. The network operation center MUST monitor the CBR service performance monitors, identify the problem and solve it before the automatic shut-down takes place. Admission control mechanisms should be able to protect committed resources to PW services and when failure occur have priority, protection and preemption mechanisms in place. These admission control mechanisms are out of scope of a specific pw service draft.

Best
Ron

-----Original Message-----
From: Yaakov Stein [mailto:[email-masked]] 
Sent: Thursday, December 29, 2005 3:17 PM
To: Ron Cohen; pwe3
Subject: RE: [PWE3] [Fwd: Proposed text for SAToP congestion section]

Ron

I looked over the changes you propose,
and really don't see what problems they solve.

Let me first reiterate why we rewrote this section.

SAToP came up on the IESG telechat.
There was a DISCUSS from Allison asking for a more substantive congestion section. More specifically she asked for
1) a congestion avoidance procdure for CBR PWs,
   specifically to shut off for some period once a certain level of loss
   was encountered (as measured using RFC 3985, section 6.5)
2) differentiationg between best-effort and TE PSNs, with
3) a "SHOULD" for running over traffic-engineered systems 
   to avoid risk of congestion on the PSN, and
4) loss monitoring for non-TE systems. 
Without this content Allison was against SAToP going forward.

After lengthy discussion between myself and Sasha, with participation of Stewart and Mark, we rewrote the section to both answer the points raised by Allison, while emphasizing issues we believed were important.

I forwarded this text to Allison who replied "I like your proposed text a lot.  It really does a good job."

Stewart then forwarded the text to the list, in order to save time when submitting the next drafts (ATM, etc).

Now you are proposing changes that bring us back much closer to the text that was rejected in the original DISCUSS, namely avoiding mention of best-effort PSNs, and trying to avoid halting the service when it may endanger other services in such PSNs.

Sorry, but I believe we need to resubmit with the text we proposed and for which we received the OK.

Y(J)S

--
This message has been scanned for viruses and dangerous content by OpenProtect(http://www.openprotect.com), and is believed to be clean.

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3